/* DEWSERV.C */

#include <demo.g>
#include <demo.rsg>
#include <hwim.h>

LOCAL_C INT LaunchDialog(INT class,INT resid,VOID *rbuf)
    {
    DL_DATA dld;

    dld.id=resid;
    dld.rbuf=rbuf;
    dld.pdlg=NULL;
    return hLaunchDial(CAT_DEMO_DEMO,class,&dld);
    }

#pragma METHOD_CALL

METHOD VOID dewserv_ws_dyn_init(PR_DEWSERV *self)
    {
    RBUF_LP rbuf;

    if (LaunchDialog(C_DEDLG,DELP_DLG,&rbuf))
        {
        p_send2(self,O_WS_EDIT_PRINT_CONTEXT);
        hDestroy(f_newsend(CAT_DEMO_DEMO,C_DELP,O_LPR_INIT,&rbuf));
        }
    p_exit(0);
    }
